package com.emato.ich.entity.vo;

import org.jetbrains.annotations.NotNull;

/**
 * 提交给ICSP-SERVER的预下单信息
 */
public class PreparedOrderVo {

    /**
     * 客户端id
     */
    private String clientId;

    /**
     * 投递员手机号
     */
    private String delivererPhone;

    /**
     * 面单号
     */
    private String mailNo;

    /**
     * 取件人手机号
     */
    private String collectorPhone;

    /**
     * 柜子大小
     */
    private String lockerType;

    /**
     * 用户投递码
     */
    private String deliveryCode;
    /**
     * 订单类型  0:门店寄件 1:寄送订单 2:快递员派件
     */
    private String orderType;

    public String getOrderType() {
        return orderType;
    }

    public void setOrderType(String orderType) {
        this.orderType = orderType;
    }

    public String getDeliveryCode() {
        return deliveryCode;
    }

    public void setDeliveryCode(String deliveryCode) {
        this.deliveryCode = deliveryCode;
    }

    public String getClientId() {
        return clientId;
    }

    public void setClientId(String clientId) {
        this.clientId = clientId;
    }

    public String getDelivererPhone() {
        return delivererPhone;
    }

    public void setDelivererPhone(String delivererPhone) {
        this.delivererPhone = delivererPhone;
    }

    public String getMailNo() {
        return mailNo;
    }

    public void setMailNo(String mailNo) {
        this.mailNo = mailNo;
    }

    public String getCollectorPhone() {
        return collectorPhone;
    }

    public void setCollectorPhone(String collectorPhone) {
        this.collectorPhone = collectorPhone;
    }

    public String getLockerType() {
        return lockerType;
    }

    public void setLockerType(String lockerType) {
        this.lockerType = lockerType;
    }

    @NotNull
    @Override
    public String toString() {
        return "PreparedOrderVo{" +
                "clientId='" + clientId + '\'' +
                ", delivererPhone='" + delivererPhone + '\'' +
                ", mailNo='" + mailNo + '\'' +
                ", collectorPhone='" + collectorPhone + '\'' +
                ", lockerType='" + lockerType + '\'' +
                '}';
    }
}
